# Visualization
TKService
Image

# Image_PixelRowOfDColorImage Class Reference

`#include <Image_PixelRowOfDColorImage.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Image_PixelRowOfDColorImage (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Image_PixelRowOfDColorImage (const Aspect_ColorPixel &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Aspect_ColorPixel &V)
Standard_EXPORT void | Destroy ()
| ~Image_PixelRowOfDColorImage ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Image_PixelRowOfDColorImage & | Assign (const Image_PixelRowOfDColorImage &Other)
const Image_PixelRowOfDColorImage & | operator= (const Image_PixelRowOfDColorImage &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Aspect_ColorPixel &Value)
const Aspect_ColorPixel & | Value (const Standard_Integer Index) const
const Aspect_ColorPixel & | operator() (const Standard_Integer Index) const
Aspect_ColorPixel & | ChangeValue (const Standard_Integer Index)
Aspect_ColorPixel & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Image_PixelRowOfDColorImage (const Image_PixelRowOfDColorImage &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Image_PixelRowOfDColorImage::Image_PixelRowOfDColorImage | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Image_PixelRowOfDColorImage::Image_PixelRowOfDColorImage | ( | const Aspect_ColorPixel & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Image_PixelRowOfDColorImage::~Image_PixelRowOfDColorImage | ( |  | ) | `[inline]`

Standard_EXPORT Image_PixelRowOfDColorImage::Image_PixelRowOfDColorImage | ( | const Image_PixelRowOfDColorImage & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Image_PixelRowOfDColorImage& Image_PixelRowOfDColorImage::Assign | ( | const Image_PixelRowOfDColorImage & | Other | ) |

Aspect_ColorPixel& Image_PixelRowOfDColorImage::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Image_PixelRowOfDColorImage::Destroy | ( |  | ) |

Standard_EXPORT void Image_PixelRowOfDColorImage::Init | ( | const Aspect_ColorPixel & | V | ) |

Standard_Boolean Image_PixelRowOfDColorImage::IsAllocated | ( |  | ) | const

Standard_Integer Image_PixelRowOfDColorImage::Length | ( |  | ) | const

Standard_Integer Image_PixelRowOfDColorImage::Lower | ( |  | ) | const

void Image_PixelRowOfDColorImage::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Image_PixelRowOfDColorImage::operator new | ( | size_t | size | ) | `[inline]`

void* Image_PixelRowOfDColorImage::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Aspect_ColorPixel& Image_PixelRowOfDColorImage::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Aspect_ColorPixel& Image_PixelRowOfDColorImage::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Image_PixelRowOfDColorImage& Image_PixelRowOfDColorImage::operator= | ( | const Image_PixelRowOfDColorImage & | Other | ) | `[inline]`

void Image_PixelRowOfDColorImage::SetValue | ( | const Standard_Integer | Index,
|  | const Aspect_ColorPixel & | Value
| ) |

Standard_Integer Image_PixelRowOfDColorImage::Upper | ( |  | ) | const

const Aspect_ColorPixel& Image_PixelRowOfDColorImage::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Image_PixelRowOfDColorImage::isAllocated `[private]`

Standard_Integer Image_PixelRowOfDColorImage::myLowerBound `[private]`

Standard_Address Image_PixelRowOfDColorImage::myStart `[private]`

Standard_Integer Image_PixelRowOfDColorImage::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Image_PixelRowOfDColorImage.hxx